Skip to main content

Get Market Liquidation History

HTTP request

GET /futures/liquidation-history

Request parameters

Parameter NameRequiredTypeNotes
markettruestringMarket name
start_timefalseintQuery start time.
  • Data will not be filtered based on time by default
end_timefalseintQuery end time.
  • Data will not be filtered based on time by default
pagefalseintNumber of pagination. Default is 1.
limitfalseintNumber in each page. Default is 10.

Return parameters

Parameter NameTypeNotes
marketstringMarket name
sidestringPosition side
liq_pricestringLiquidation price. The estimated trigger price calculated by the system in real time based on the current mark price.The calculation takes into account factors such as position mode (One-way/Hedge Mode), contract type (USDⓈ-margined/Coin-margined), position size, settlement price, margin, maintenance margin, unrealized PNL, and potential risks of unfilled orders.In cross margin mode, positions under the same settlement asset jointly affect the liquidation price; in isolated margin mode, it is calculated independently for that position. The liquidation price may change accordingly when the market price, order status, or account funds change. When no valid liquidation price exists, the interface return value is subject to the actual response.
liq_amountstringLiquidation amount
bkr_pricestringBankruptcy price.
The bankruptcy price in cross margin is no longer calculated.
The bankruptcy price in isolated margin can be calculated using the liquidation price formula, where the maintenance margin rate is 0.
created_atintData creation time

Response example

GET /futures/liquidation-history?market=LATUSDT

Response example

{
"code": 0,
"data": [
{
"market": " LATUSDT",
"side": "long",
"liq_price": "0.009061",
"liq_amount": "184378262",
"bkr_price": "0.009038",
"created_at": 1691482451000
},
{
"market": " LATUSDT",
"side": "long",
"liq_price": "0.009030",
"liq_amount": "375947238",
"bkr_price": "0.009016",
"created_at": 1691482829000
}
],
"pagination": {
"has_next": false
},
"message": "OK"
}